WindowConstants (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Interface WindowConstants

All Known Implementing Classes:
  JDialog, JFrame, JInternalFrame

public interface WindowConstants

Constants used to control the window-closing operation. The `setDefaultCloseOperation` and `getDefaultCloseOperation` methods provided by `JFrame`, `JInternalFrame`, and `JDialog` use these constants. For examples of setting the default window-closing operation, see Responding to Window-Closing Events, a section in The Java Tutorial.

Field Summary
`static int` | `DISPOSE_ON_CLOSE` The dispose-window default window close operation
`static int` | `DO_NOTHING_ON_CLOSE` The do-nothing default window close operation
`static int` | `EXIT_ON_CLOSE` The exit application default window close operation.
`static int` | `HIDE_ON_CLOSE` The hide-window default window close operation

Field Detail

### DO_NOTHING_ON_CLOSE

    public static final int DO_NOTHING_ON_CLOSE

  The do-nothing default window close operation

  See Also:
    Constant Field Values

### HIDE_ON_CLOSE

    public static final int HIDE_ON_CLOSE

  The hide-window default window close operation

  See Also:
    Constant Field Values

### DISPOSE_ON_CLOSE

    public static final int DISPOSE_ON_CLOSE

  The dispose-window default window close operation

  See Also:
    Constant Field Values

### EXIT_ON_CLOSE

    public static final int EXIT_ON_CLOSE

  The exit application default window close operation. Attempting to set this on Windows that support this, such as `JFrame`, may throw a `SecurityException` based on the `SecurityManager`. It is recommended you only use this in an application.

  Since:
    1.4
  See Also:
    `JFrame.setDefaultCloseOperation(int)`, Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.